
#include <learn/InterV__learn__singleton.hpp>
#include <learn/ConnT__learn__singleton.hpp>

InterV__learn__singleton::InterV__learn__singleton(const ConnT__learn__singleton &connector, const Interaction& interaction, const vector<PortValue *> &values) :
        InteractionValue(),
        mInteraction(connector, interaction.ports()) {
    this->mPortValues.reserve(1);
    commonRecycle(interaction, values);
}


void InterV__learn__singleton::commonRecycle(const Interaction& interaction, const vector<PortValue *> &values) {
	this->mPortValues.clear();
    for (vector<PortValue *>::const_iterator valueIt = values.begin() ;
         valueIt != values.end() ;
         ++valueIt) {
        this->mPortValues.push_back(*valueIt);
    }
}


InterV__learn__singleton::~InterV__learn__singleton(){
}


